View Issue Details

IDProjectCategoryView StatusLast Update
0001380SketcherFeaturepublic2017-01-19 20:17
Reporterwmayer Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionreopened 
Product Version 
Target VersionFixed in Version 
Summary0001380: Allow to set user-defined names for constraints
Descriptionhttp://www.forum.freecadweb.org/viewtopic.php?f=3&t=5544
TagsNo tags attached.
FreeCAD Information

Relationships

related to 0002147 closedwmayer Constraints rename key doesn't work on OS X 

Activities

normandc

2014-02-04 01:11

manager   ~0004135

I just compiled with latest git 9a2fab28 which is about fixing this report. Is it complete? Is it only available through Python? Because I can't fin a way to rename constraints.

wmayer

2014-02-05 09:43

administrator   ~0004150

With the GUI you can select a single item and press the F2 button. I have to also add a way to rename over Python. I'll finish it when I am back at home -- at the weekend.

wmayer

2014-02-10 14:35

administrator   ~0004179

App.ActiveDocument.Sketch.renameConstraint(0,"NewName")

Related Changesets

FreeCAD: master 14410215

2014-02-03 14:45:41

wmayer

Details Diff
+ fixes 0001380: Allow to set user-defined names for constraints Affected Issues
0001380
mod - src/Mod/Sketcher/Gui/TaskSketcherConstrains.cpp Diff File
mod - src/Mod/Sketcher/Gui/TaskSketcherConstrains.h Diff File

FreeCAD: master ca006654

2014-02-04 18:32:05

wmayer

Details Diff
+ fixes 0001380: Allow to set user-defined names for constraints Affected Issues
0001380
mod - src/Mod/Sketcher/Gui/TaskSketcherConstrains.cpp Diff File

FreeCAD: master d81803de

2014-02-10 15:36:58

wmayer

Details Diff
+ fixes 0001380: Allow to set user-defined names for constraints Affected Issues
0001380
mod - src/Mod/Sketcher/App/ConstraintPy.xml Diff File
mod - src/Mod/Sketcher/App/ConstraintPyImp.cpp Diff File
mod - src/Mod/Sketcher/App/PropertyConstraintList.cpp Diff File
mod - src/Mod/Sketcher/App/PropertyConstraintList.h Diff File
mod - src/Mod/Sketcher/App/SketchObjectPy.xml Diff File
mod - src/Mod/Sketcher/App/SketchObjectPyImp.cpp Diff File
mod - src/Mod/Sketcher/Gui/TaskSketcherConstrains.cpp Diff File

Issue History

Date Modified Username Field Change
2014-02-02 18:04 wmayer New Issue
2014-02-04 01:11 normandc Note Added: 0004135
2014-02-04 22:15 wmayer Changeset attached => FreeCAD Master master 14410215
2014-02-04 22:15 wmayer Changeset attached => FreeCAD Master master ca006654
2014-02-04 22:15 wmayer Assigned To => wmayer
2014-02-04 22:15 wmayer Status new => closed
2014-02-04 22:15 wmayer Resolution open => fixed
2014-02-05 09:43 wmayer Note Added: 0004150
2014-02-05 09:43 wmayer Resolution fixed => reopened
2014-02-05 09:44 wmayer Status closed => assigned
2014-02-10 14:35 wmayer Note Added: 0004179
2014-02-10 14:49 wmayer Changeset attached => FreeCAD Master master d81803de
2014-02-10 14:49 wmayer Status assigned => closed
2017-01-19 20:17 Kunda1 Relationship added related to 0002147